> For the complete documentation index, see [llms.txt](https://docs.digit.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digit.org/public-finance/v2.3/exemplar/ifix-dashboard/installation/local-setup.md).

# Local Setup

iFix Dashboard

### The 2 Stages: <a href="#the-2-stages" id="the-2-stages"></a>

Essentially, there are 2 stages that should allow you to use the full potential of DeploymentConfig and pipeline-as-code.

**Stage 1: Clone the DevOps** [**repo**](https://github.com/misdwss/iFix-DevOps/tree/ifix)**, choose your iFix product branch as iFix-adapter.**&#x200C;

&#x20;**Prepare an <**[**env.yaml**](#the-2-stages)**> master config file, you can name this file as you wish which will have the following configurations, this env file need to be in line with your cluster name.**&#x200C;

* each service global, local env variables
* credentials, secrets (You need to encrypt using [sops](https://github.com/mozilla/sops#updatekeys-command) and create a <**env>-secret.yaml** separately)
* Number of replicas/scale of individual services (Depending on whether dev or prod)
* mdms, config repos (Master Data, ULB, Tenant details, Users, etc)
* sms g/w, email g/w, payment g/w
* GMap key (In case you are using Google Map services in your PGR, PT, TL, etc)
* S3 Bucket for Filestore
* URL/DNS on which the DIGIT will be exposed
* SSL Certificate for the above URL
* End-points configs (Internal/external)

**Stage 2: Run the iFix\_Dashboard\_setup deployment script and simply answer the questions that it asks.**

```
cd iFix-DevOps/deploy-as-code/egov-deployer

go run ifix_dashboard_setup.go

#Be prepared for the following questions
1. Do you have the Kubernetes Setup?
2. Provide the path of the intented env kubeconfig file
3. Which version of the DIGIT that you want to install
4. What mGramSeva Modules that you choose to install (Choose PGR)
5. All, done, Now do you want to preview the deployment manifests 
6. Are you good to proceed with the DIGIT Installation

All Done.Essentially, DIGIT deployment means that we need to generate Kubernetes manifests for each individual service. We use the tool called helm, which is an easy, effective and customizable packaging and deployment solution. So depending on where and which env you initiate the deployment there are 2 modes that you can deploy.
```

> [![Creative Commons License](https://i.creativecommons.org/l/by/4.0/80x15.png)*​*](http://creativecommons.org/licenses/by/4.0/)*All content on this page by* [*eGov Foundation*](https://egov.org.in/) *is licensed under a* [*Creative Commons Attribution 4.0 International License*](http://creativecommons.org/licenses/by/4.0/)*.*


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.digit.org/public-finance/v2.3/exemplar/ifix-dashboard/installation/local-setup.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
